TauP_PhaseDescribe (TauP 2.6.1 API)
Description: declaration: package: edu.sc.seis.TauP, class: TauP_PhaseDescribe

Package edu.sc.seis.TauP

# Class TauP_PhaseDescribe

java.lang.Object
edu.sc.seis.TauP.TauP_Tool
edu.sc.seis.TauP.TauP_Time
edu.sc.seis.TauP.TauP_PhaseDescribe

    public class TauP_PhaseDescribe
    extends TauP_Time

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `boolean` | `dump` | Dumps raw interpolation points for phase.

  ### Fields inherited from class edu.sc.seis.TauP.TauP_Time

  `arrivals, azimuth, backAzimuth, degrees, depth, distKilometers, eventLat, eventLon, GUI, modelName, onlyPrintRayP, onlyPrintTime, phaseNames, receiverDepth, relativeArrival, relativePhaseName, stationLat, stationLon, takeoffAngle, tMod, tModDepth`

  ### Fields inherited from class edu.sc.seis.TauP.TauP_Tool

  `DEBUG, expert, GMT, JSON, outFileBase, outForms, outputFormat, SVG, TEXT, toolProps, verbose, writer`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TauP_PhaseDescribe()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected java.lang.String[]` | `parseCmdLineArgs​(java.lang.String[] origArgs)` |
  `void` | `printResult​(java.io.PrintWriter writer)` |
  `void` | `printStdUsage()` | Prints the command line arguments common to all TauP tools.
  `void` | `printUsage()` |
  `void` | `start()` |

  ### Methods inherited from class edu.sc.seis.TauP.TauP_Time

  `appendPhaseName, appendPhaseName, calcTakeoff, calcTime, calculate, clearArrivals, clearPhaseNames, clearPhases, depthCorrect, depthCorrect, destroy, getArrival, getArrivals, getDisconDepths, getNumArrivals, getNumPhases, getPhaseNames, getPhaseNames, getPhaseNameString, getReceiverDepth, getSeismicPhases, getSourceDepth, getTauModel, getTauModelDepthCorrected, getTauModelName, init, linearInterp, loadTauModel, main, parseDegreeList, parsePhaseList, printHelp, printResultJSON, printResultText, printStdUsageHead, readPhaseFile, readTauModel, recalcPhases, setPhaseNames, setPhaseNames, setReceiverDepth, setSourceDepth, setTauModel, sortArrivals`

  ### Methods inherited from class edu.sc.seis.TauP.TauP_Tool

  `dashEquals, endGmtAndCleanUp, getOutFile, getOutFileBase, getOutFileExtension, getOutputFormat, getWriter, parseCommonCmdLineArgs, printNoComprendoArgs, printScriptBeginning, printStdUsageHead, printStdUsageTail, setOutFileBase, setOutFileExtension, setOutputFormat, setWriter, toolNameFromClass`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dump

    public boolean dump
    Dumps raw interpolation points for phase.

- ## Constructor Details

  - ### TauP_PhaseDescribe

    public TauP_PhaseDescribe()

- ## Method Details

  - ### printStdUsage

    public void printStdUsage()
    Prints the command line arguments common to all TauP tools.
    Overrides:
      `printStdUsage` in class `TauP_Time`

  - ### printUsage

    public void printUsage()
    Overrides:
      `printUsage` in class `TauP_Time`

  - ### parseCmdLineArgs

    protected java.lang.String[] parseCmdLineArgs​(java.lang.String[] origArgs) throws java.io.IOException
    Overrides:
      `parseCmdLineArgs` in class `TauP_Time`
    Throws:
      `java.io.IOException`

  - ### start

    public void start() throws java.io.IOException, TauModelException, TauPException
    Overrides:
      `start` in class `TauP_Time`
    Throws:
      `java.io.IOException`
      `TauModelException`
      `TauPException`

  - ### printResult

    public void printResult​(java.io.PrintWriter writer)
    Overrides:
      `printResult` in class `TauP_Time`